# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2010-2013 OpenERP s.a. (<http://openerp.com>).
#    Copyright (C) 2013 initOS GmbH & Co. KG (<http://www.initos.com>).
#    Author Thomas Rehn <thomas.rehn at initos.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv import fields, osv

class product_template(osv.Model):
	_inherit = 'product.template'

	# re-define column 'uom_id' so that we can override its default
	_columns = {
		'uom_id': fields.many2one('product.uom', 'Unit of Measure', required=True, help="Default Unit of Measure used for all stock operation."),
	}

	def _get_uom_id(self, cr, uid, *args):
		ir_config_parameter = self.pool.get("ir.config_parameter")
		default_uom = ir_config_parameter.get_param(cr, uid, "product.default_uom")
		if default_uom:
			return int(default_uom)
		return super(product_template, self)._get_uom_id(cr, uid, args)
	
	_defaults = {
		'uom_id': _get_uom_id,
	}

product_template()
